> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/ar/registry-v3-transfer.md).

# Registry V3 Transfer

V3 transfer endpoints

## Copy resources

> Copy resources

```json
{"openapi":"3.0.0","info":{"title":"Harness Artifact Registry API","version":"1.0.0"},"tags":[{"description":"V3 transfer endpoints","name":"Registry V3 - Transfer"}],"servers":[{"url":"/api"}],"paths":{"/v3/copy":{"post":{"description":"Copy resources","operationId":"CopyResourcesV3","parameters":[{"$ref":"#/components/parameters/AccountIdentifierV3"}],"requestBody":{"$ref":"#/components/requestBodies/CopyResourcesRequestV3"},"responses":{"200":{"description":"Copied successfully"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorV3"}}},"description":"Error response."}},"summary":"Copy resources","tags":["Registry V3 - Transfer"]}}},"components":{"parameters":{"AccountIdentifierV3":{"description":"Unique identifier for the Harness account.\n","in":"query","name":"account_identifier","required":true,"schema":{"type":"string"}}},"requestBodies":{"CopyResourcesRequestV3":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CopyResourceItemV3"}}},"description":"request to copy resources"}},"schemas":{"CopyResourceItemV3":{"description":"One copy operation from a source to a target registry","properties":{"source":{"$ref":"#/components/schemas/CopySourceRefV3"},"target":{"$ref":"#/components/schemas/CopyTargetRefV3"}},"required":["source","target"],"type":"object"},"CopySourceRefV3":{"properties":{"versionId":{"format":"uuid","type":"string"}},"required":["versionId"],"type":"object"},"CopyTargetRefV3":{"properties":{"registryId":{"format":"uuid","type":"string"}},"required":["registryId"],"type":"object"},"ErrorV3":{"description":"An error response","properties":{"error":{"$ref":"#/components/schemas/ApiErrorsV3"}},"required":["error"],"type":"object"},"ApiErrorsV3":{"properties":{"code":{"description":"For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.","maxLength":5000,"type":"string"},"message":{"description":"A human-readable message providing more details about the error. These messages can be shown to users.","maxLength":40000,"type":"string"},"param":{"description":"If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.","maxLength":5000,"type":"string"},"type":{"description":"The type of error returned.","enum":["INVALID_REQUEST_ERROR","AUTHENTICATION_ERROR","PERMISSION_ERROR","API_ERROR"],"type":"string"}},"required":["type"],"title":"APIErrors","type":"object"}}}}
```
